Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

The enumeration defines the socket option levels that can be passed to the and methods. enumerated values are grouped by .

Note To use on Windows XP, install Advance Networking Pack for Windows XP.

Defines socket option levels for the and methods.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionLevel IP

  options apply only to IP sockets.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionLevel IPv6 To be added.

  options apply only to IPv6 sockets.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionLevel Socket

  options apply to all sockets.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionLevel Tcp

  options apply only to TCP sockets.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionLevel Udp

  options apply only to UDP sockets.

  0
0